MODINFO(8)

NUME

modinfo - afișează informații despre un modul din nucleul Linux

SINOPSIS

modinfo [-0] [-F câmp] [-k nucleu] [nume-modul|nume-fișier...]

modinfo -V

modinfo -h

DESCRIERE

modinfo extrage informații despre modulele nucleului Linux date în linia de comandă. Dacă numele modulului nu este un nume de fișier, atunci se caută în directorul „/lib/modules/versiune”, așa cum face și modprobe(8) la încărcarea modulelor nucleului.

modinfo enumeră în mod implicit fiecare atribut al modulului sub forma nume câmp : valoare, pentru o citire mai ușoară. Numele fișierului este listat în același mod (deși 'snu este un atribut) cu adevărat).

Această versiune de modinfo poate înțelege modulele din orice arhitectură a nucleului Linux.

OPȚIUNI

-V, --version
    Afișează versiunea modinfo.

-F câmp, --field=câmp
    Afișează numai această valoare de câmp, câte una pe fiecare linie. Acest lucru este foarte util pentru scripturi. Numele câmpurilor nu țin cont de majuscule și minuscule. Câmpurile comune (care pot să nu se regăsească în fiecare modul) includ autor, descriere, licență, parametri, dependențe și alias. Adesea există mai multe câmpuri parametri, alias și depinde de. Câmpul special „filename” enumeră numele de fișier al modulului.

-b director-bază, --basedir director-bază
    Directorul rădăcină pentru module, în mod implicit „/”.

-k nucleu
    Furnizează informații despre un nucleu, altul decât cel care rulează. Acest lucru este deosebit de util pentru distribuțiile care au nevoie să extragă informații dintr-un set de module de nucleu nou instalat (dar care nu rulează încă). De exemplu, doriți să aflați de ce fișiere firmware au nevoie diverse module într-un nou nucleu pentru care trebuie să creați o imagine initrd/initramfs înainte de a porni.

-0, --null
    Folosește caracterul ASCII zero pentru a separa valorile câmpului, în loc de o linie nouă. Acest lucru este util pentru scripturi, deoarece, teoretic, o linie nouă poate apărea în interiorul unui câmp.

-a --author, -d --description, -l --license, -p --parameters, -n --filename
    Acestea sunt prescurtări pentru opțiunea --field cu argumentele author, description, license, parm și filename, pentru a ușura tranziția de la vechiul „modutils” modinfo.

-h, --help
    Afișează mesajul de ajutor și iese.

DREPTURI DE AUTOR

Această pagină de manual a avut inițial drepturi de autor în 2003, pentru Rusty Russell, IBM Corporation.

CONSULTAȚI ȘI

modprobe(8)

ERORI

Vă rugăm să transmiteți orice raport de eroare la sistemul de urmărire a erorilor al kmod la https://github.com/kmod-project/kmod/issues/, împreună cu versiunea utilizată, pașii de reproducere a problemei și rezultatul așteptat.

AUTORI

Numeroase contribuții au venit de pe lista de discuții linux-modules <linux-modules@vger.kernel.org> și din Github. Dacă aveți o clonă de kmod.git în sine, ieșirea din git-shortlog(1) și git-blame(1) vă poate arăta autorii pentru anumite părți ale proiectului.

Lucas De Marchi <lucas.de.marchi@gmail.com> este responsabilul actual al proiectului.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.